#!/bin/sh -e

WARNOPTS="-Wreturn-type -Wpointer-sign -Wsign-compare -Wshadow -Wpointer-arith -Wimplicit -Werror -Wno-parentheses"
DEBUGOPTS="-DDEBUG_SSL_CLIENT"
# DEBUGOPTS=""
cc="gcc $WARNOPTS -c"

rm -f *.o

echo Compiling...
CCIX $DEBUGOPTS helpers/lst_ssl.c
CCIX $DEBUGOPTS helpers/remote.c
CCIX helpers/conn_open.c
CCIX helpers/nslookup.c
CCIX $DEBUGOPTS proxy-tun.c
CCIX config.c
CCIX eventlog.c
echo Linking...
rm -f ../work/proxy-tun
LDI ../work/proxy-tun *.o -lsimpletcp -lfcl
rm -f *.o



