#!/bin/sh -e

VER=`cat version.txt`
VER="-DFPROXY_VERSION=\"$VER\""

DEBUGOPTS="-DDEBUG_SSL_CLIENT"
# DEBUGOPTS=""

DELOBJ
CCIX config.c
CCIX $DEBUGOPTS helpers/lst_ssl.c
CCIX $DEBUGOPTS helpers/remote.c
CCIX helpers/conn_open.c
CCIX $DEBUGOPTS $VER proxy.c
CCIX eventlog.c
CCIX -I./inc util.c
CCIX http_packet.c
CCIX gzip.c
CCIX helpers/nslookup.c
CCIX dashboard.c
echo "Preparing: handle/handlereq.c"
sed 's/\$/_DSIGN_/g' < handle/inc.proxy.c > handle/inc.proxy.c.sed
CCIX handle/handlereq.c
rm handle/inc.proxy.c.sed
CCIX -I./inc handle/cache.c
CCIX handle/rules.c
CCIX handle/rules.route.c
CCIX extlib/sha256.c
LDI ../work/proxy *.o -lsimpletcp -lfcl -lz -lm
DELOBJ

CCIX eventlog.c
CCIX -DDASHBOARD_MAIN dashboard.c
LDI ../work/dashboard *.o -lfcl
DELOBJ




